<template>
  <div>
    <v-row align="center" justify="center" class="text-center pr-4 pl-4">
      <v-col cols="12" class="pb-12 text-center">
        <div
          :class="
            $vuetify.breakpoint.mdAndDown
              ? 'text-center global-box-view'
              : 'global-box-view'
          "
        >
          <h2>
            {{ $t('monitoringSolution.howMonitoring.title') }}
          </h2>
          <p>
            {{ $t('monitoringSolution.howMonitoring.description') }}
          </p>
        </div>
      </v-col>
      <v-col v-for="(item, i) in dataGiven.items" :key="i" cols="12" md="4">
        <v-card
          class="mx-auto text-center pa-6"
          :color="colors[i]"
          dark
          height="270"
        >
          <v-card-subtitle>
            <h4 class="subtitle-1">
              {{ item.title }}
            </h4>
          </v-card-subtitle>
        </v-card>
      </v-col>
    </v-row>
  </div>
</template>
<script>
export default {
  name: 'MonHow',
  props: {
    dataGiven: {
      type: Object,
      required: true,
    },
  },
  data() {
    return {
      colors: ['#24556f', '#425d6a', '#6f3777'],
    };
  },
};
</script>
